> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Partial Update Bank Transaction



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json patch /ca/api/transaction/{id}
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /ca/api/transaction/{id}:
    patch:
      tags:
        - Cash Management
      summary: Partial Update Bank Transaction
      operationId: ca_api_transaction_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedBankTransaction'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedBankTransaction'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedBankTransaction'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankTransaction'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    PatchedBankTransaction:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        account_name:
          type: string
          readOnly: true
        entity_name:
          type: string
          readOnly: true
          nullable: true
        date_month:
          type: string
          readOnly: true
          nullable: true
        date_year:
          type: string
          readOnly: true
          nullable: true
        journal:
          type: integer
          nullable: true
          readOnly: true
        journal_order:
          type: string
          readOnly: true
          nullable: true
        intercompany_journal:
          type: integer
          nullable: true
          readOnly: true
        reconciliation_report:
          type: integer
          readOnly: true
        reconciliation_report_ending_date:
          type: string
          format: date
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        transaction_id:
          type: string
          format: uuid
        external_transaction_id:
          type: string
          nullable: true
          maxLength: 200
        currency:
          type: string
          maxLength: 3
        amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        amount_native:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        posted_at:
          type: string
          format: date-time
          nullable: true
        status:
          type: string
          nullable: true
          maxLength: 250
        note:
          type: string
          nullable: true
          maxLength: 1024
        bank_description:
          type: string
          nullable: true
        external_memo:
          type: string
          nullable: true
        merchant_id:
          type: string
          nullable: true
        merchant_name:
          type: string
          nullable: true
        merchant_nickname:
          type: string
          nullable: true
        kind:
          type: string
          nullable: true
        excluded:
          type: boolean
        assigned:
          type: boolean
        metadata:
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        customer:
          type: integer
          readOnly: true
        account:
          type: integer
    BankTransaction:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        account_name:
          type: string
          readOnly: true
        entity_name:
          type: string
          readOnly: true
          nullable: true
        date_month:
          type: string
          readOnly: true
          nullable: true
        date_year:
          type: string
          readOnly: true
          nullable: true
        journal:
          type: integer
          nullable: true
          readOnly: true
        journal_order:
          type: string
          readOnly: true
          nullable: true
        intercompany_journal:
          type: integer
          nullable: true
          readOnly: true
        reconciliation_report:
          type: integer
          readOnly: true
        reconciliation_report_ending_date:
          type: string
          format: date
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        transaction_id:
          type: string
          format: uuid
        external_transaction_id:
          type: string
          nullable: true
          maxLength: 200
        currency:
          type: string
          maxLength: 3
        amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        amount_native:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        posted_at:
          type: string
          format: date-time
          nullable: true
        status:
          type: string
          nullable: true
          maxLength: 250
        note:
          type: string
          nullable: true
          maxLength: 1024
        bank_description:
          type: string
          nullable: true
        external_memo:
          type: string
          nullable: true
        merchant_id:
          type: string
          nullable: true
        merchant_name:
          type: string
          nullable: true
        merchant_nickname:
          type: string
          nullable: true
        kind:
          type: string
          nullable: true
        excluded:
          type: boolean
        assigned:
          type: boolean
        metadata:
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        customer:
          type: integer
          readOnly: true
        account:
          type: integer
      required:
        - account
        - account_name
        - created_at
        - customer
        - date_month
        - date_year
        - deleted_at
        - entity_name
        - id
        - intercompany_journal
        - is_deleted
        - journal
        - journal_order
        - last_modified_at
        - reconciliation_report
        - reconciliation_report_ending_date
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````